<?php

namespace Drupal\recaptcha_preloader\Service;

/**
 * Interface RecaptchaPreloaderHelperInterface.
 *
 * @package Drupal\recaptcha_preloader\Service
 */
interface RecaptchaPreloaderHelperInterface {

  /**
   * The challenge type.
   */
  const CHALLENGE_TYPE = 'reCAPTCHA';

  /**
   * Disable submit form elements.
   *
   * @param array $elements
   *   The element array.
   */
  public function search(array &$elements);

  /**
   * Generate a challenge.
   *
   * @return array
   *   The challenge.
   */
  public function build();

}
